Subject: Re: [Newbie] How to *actually* get rid of remote tracking branch?

From: Jakub Narebski <[email-masked]>
Date: Tue, 13 Nov 2007 23:42:44 +0100

Andreas Ericsson wrote:

> This is what I've got in Documentation/glossary.txt so far:
> 
> [[def_remote_tracking_branch]]remote-tracking branch:
>     A "remote-tracking branch" is a branch set up to track the
>     state of a branch in a remote repository which the user has named. 
>     These branches follow exactly the same rules as the branches which
>     reside in the remote repository, except that they are manipulated
>     by `git fetch` instead of `git push`. That is, they can only be
>     updated if the update would result in a 
>     <<def_fastforward,fast forward>>, or if the user supplies the 
>     '--force' option. 
>     They cannot be checked out or committed to by users, but serve
>     solely as local reference-pointers to their corresponding branches
>     in the remote repository.
>     The most common example of a remote-tracking branch is origin/master.

If user supplies '--force' option, ur uses '+<src>:<dst>' refspec
('+<remote branch>:<remote-tracking branch>').
 
> It's a bit long-winded. Anyone got any improvements?

Long winded is good. Well, long is good.

I would add that remote-tracking branches reside in refs/remotes/<remote>.

I would skip the part about `git push`, and just say that they are
updated on fetch (`git fetch` or `git pull`).

-- 
Jakub Narebski
Poland